> ## Documentation Index
> Fetch the complete documentation index at: https://docs.joinsayless.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete attachment



## OpenAPI

````yaml /openapi.json post /api/v1/attachments/delete
openapi: 3.0.3
info:
  title: Sayless Public API
  version: 1.0.0
  description: >-
    Curated work-graph HTTP API for personal API keys (`sl_api_…`) or OAuth
    tokens (`sl_oat_…`), including app-actor / client_credentials. Documents the
    API/OAuth response mode only.
servers:
  - url: https://api.joinsayless.com
    description: Production gateway
security:
  - bearer: []
tags:
  - name: Tickets
  - name: Ticket comments
  - name: Ticket content
  - name: Ticket statuses
  - name: Ticket subscriptions
  - name: Conversations
  - name: Conversation labels
  - name: Conversation statuses
  - name: Conversation subscriptions
  - name: Conversation views
  - name: Messages
  - name: Companies
  - name: Contacts
  - name: Company labels
  - name: Company sectors
  - name: Contract types
  - name: Company relationships
  - name: Company updates
  - name: Documents
  - name: Folders
  - name: Notes
  - name: Teams
  - name: Team memberships
  - name: Attachments
  - name: Webhook subscriptions
  - name: Workspace
  - name: Channel webhooks
  - name: Integration webhooks
paths:
  /api/v1/attachments/delete:
    post:
      tags:
        - Attachments
      summary: Delete attachment
      operationId: AttachmentsController_deleteAttachment
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteAttachmentRequest'
      responses:
        '200':
          description: Public delete payload
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicDeletePayload'
        4XX:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorEnvelope'
      security:
        - bearer: []
components:
  schemas:
    DeleteAttachmentRequest:
      type: object
      properties:
        workspaceId:
          type: string
          format: uuid
        attachmentId:
          type: string
          format: uuid
      additionalProperties: false
      required:
        - workspaceId
        - attachmentId
    PublicDeletePayload:
      type: object
      required:
        - success
        - entityId
      properties:
        success:
          type: boolean
          enum:
            - true
        entityId:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
        mutationId:
          type: string
        lastSyncId:
          type: number
        syncAckSource:
          type: string
          enum:
            - commit
            - non_commit
    PublicErrorEnvelope:
      type: object
      required:
        - error
        - statusCode
      properties:
        error:
          type: object
          required:
            - type
            - message
          properties:
            type:
              type: string
            message:
              type: string
            userMessage:
              type: string
            fields:
              type: object
              additionalProperties: true
        statusCode:
          type: number
        timestamp:
          type: string
        path:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: API key or OAuth access token
      description: Personal API key (`sl_api_…`) or OAuth access token (`sl_oat_…`)

````